class TransferPartnerManagerData < ActiveRecord::Migration[5.2]
  def change
    ActiveRecord::Base.transaction do
      Partner.find_each do |partner|
        manager_group = partner.partner_manager_groups.find_or_create_by(name: '管理者', admin: true)

        user_ids = User.where(partner_id: partner.id).pluck(:id)
        PartnerManager.bulk_insert(*%i[user_id partner_id partner_manager_group_id created_at updated_at]) do |worker|
          user_ids.each { |user_id| worker.add(user_id: user_id, partner_id: partner.id, partner_manager_group_id: manager_group.id)  }
        end
      end
    end
  end
end
